/********************************************************************
 *         This example code is from the book:
 *
 *           Motif Debuggin and Performance Tuning
 *            ISBN 0-13-147984-9
 *         by
 *           Douglas Young
 *           Prentice Hall, 1995
 *
 *         Copyright 1994 by Prentice Hall
 *         All Rights Reserved
 *
 *  Permission to use, copy, modify, and distribute this software for 
 *  any purpose except publication and without fee is hereby granted, provided 
 *  that the above copyright notice appear in all copies of the software.
 * *****************************************************************************/

/*****************************************************
 *  DumpResources.c: Save resource database contents 
 *                   to a file.
 *****************************************************/
#include <X11/Intrinsic.h>
#include <stdio.h>

void DumpResources ( Display *dpy )
{
    char *name, *className, buf[100];
    XrmDatabase db = XtDatabase ( dpy );

   /*
    * Generate file name from application name.
    */

    XtGetApplicationNameAndClass ( dpy, &name, &className );
    sprintf ( buf, "/usr/tmp/database.%s", name );

   /*
    * Save database to file.
    */

    XrmPutFileDatabase ( db, buf );
}

